AuthConfig (JASPIC 3.0 API Documentation - Apache Tomcat 10.1.57)
Description: declaration: package: jakarta.security.auth.message.config, interface: AuthConfig

# Interface AuthConfig

All Known Subinterfaces:
  `ClientAuthConfig, ServerAuthConfig`

public interface AuthConfig
Provides configuration information for a JASPIC authentication mechanism. An AuthConfig defines the message layer, application context, and authentication context ID for a given message, and indicates whether the mechanism is protected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppContext()`
  Returns the application context for which this configuration applies.
  `String`
  `getAuthContextID(MessageInfo messageInfo)`
  Determines the authentication context ID for the given message.
  `String`
  `getMessageLayer()`
  Returns the message layer for which this configuration applies.
  `boolean`
  `isProtected()`
  Indicates whether the authentication mechanism is protected, meaning that the configuration data is stored securely.
  `void`
  `refresh()`
  Refreshes the configuration, reloading any changed settings.

- ## Method Details

  - ### getMessageLayer

    String getMessageLayer()
    Returns the message layer for which this configuration applies.
    Returns:
      the message layer

  - ### getAppContext

    String getAppContext()
    Returns the application context for which this configuration applies.
    Returns:
      the application context

  - ### getAuthContextID

    String getAuthContextID(MessageInfo messageInfo)
    Determines the authentication context ID for the given message.
    Parameters:
      `messageInfo` - the message information used to determine the context ID
    Returns:
      the authentication context ID, or `null` if no context applies

  - ### refresh

    void refresh()
    Refreshes the configuration, reloading any changed settings.

  - ### isProtected

    boolean isProtected()
    Indicates whether the authentication mechanism is protected, meaning that the configuration data is stored securely.
    Returns:
      `true` if the mechanism is protected, `false` otherwise